# macOS 快速设置工具

一个简单而强大的脚本，用于在新 Mac 或重装后快速配置开发环境。

## 🚀 一键安装

```bash
bash -c "$(curl -fsSL https://git.nas.astrian.moe/Astrian/mac-setup/raw/branch/main/install.sh)"
```

或者本地运行：

```bash
bash ~/.mac-setup/install.sh
```

## ✨ 功能特性

- 🍺 自动安装 Homebrew 和常用应用
- 🔐 配置 1Password SSH Agent 和 Touch ID sudo
- ⚙️ 自动应用 Neovim 配置
- 📱 安装开发工具和生产力应用
- 🎨 配置字体和终端环境
- 🎯 提供多种安装选项

## 📱 包含的应用

### 生产力工具
- **微信/QQ** - 社交通讯
- **Discord** - 团队协作
- **Alfred** - 启动器和搜索工具
- **1Password** - 密码管理器
- **Setapp** - 应用订阅服务
- **Ice** - 菜单栏管理

### 开发工具
- **iTerm2** - 终端仿真器
- **Neovim** - 现代化编辑器
- **Docker Desktop** - 容器平台
- **xcodes** - Xcode 版本管理
- **GPG Suite** - 加密工具

### 浏览器和网络
- **Dia** - AI 浏览器
- **Tailscale** - 零配置 VPN
- **Private Internet Access** - 商业 VPN

### 虚拟化和游戏
- **Parallels Desktop** - 虚拟机软件
- **MuMu Player** - Android 模拟器
- **MAA** - 明日方舟助手

### 其他工具
- **Synology Drive** - 文件同步
- **MailMate** - 专业邮件客户端
- **Fira Code Nerd Font** - 编程字体

## 🎯 安装选项

脚本提供了 4 种安装选项：

1. **完整安装（推荐）** - 安装所有应用和配置
2. **仅安装应用** - 只安装 Homebrew 和应用程序
3. **仅开发环境** - 配置开发工具和环境
4. **仅配置** - 配置 SSH 和别名

## 🔧 配置内容

### 自动配置
- ✅ Homebrew 自动安装和配置
- ✅ 1Password SSH Agent
- ✅ Touch ID sudo 支持
- ✅ Oh My Zsh
- ✅ Node.js LTS (通过 nvm)
- ✅ Claude Code CLI

### 别名设置
- `cc` → `claude --dangerously-skip-permissions`
- `vi` / `vim` → `nvim`
- `ping` → `prettyping --nolegend`

## 💻 系统要求

- macOS 10.15+ (推荐 macOS 12+)
- 支持 Apple Silicon 和 Intel Mac
- 网络连接

## 🛠️ 故障排除

### Homebrew 安装失败
```bash
# 手动安装 Homebrew
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
```

### SSH 克隆失败
- 确保 1Password 已安装并启用 SSH Agent
- 在 1Password 中添加你的 SSH 密钥
- 测试连接：`ssh -T git@git.nas.astrian.moe`

### 应用安装失败
```bash
# 手动安装单个应用
brew install --cask app-name
```

## 📄 许可证

MIT License

## 🤝 贡献

欢迎提交 Issue 和 Pull Request！